Main Page Widgets Namespaces Book

# Gtk::RecentChooserDialog Class Reference

Inheritance diagram for Gtk::RecentChooserDialog:

[legend]
List of all members.

## Public Member Functions

const GtkRecentChooserDialog* | gobj () const
| Provides access to the underlying C GtkObject.
GtkRecentChooserDialog* | gobj ()
| Provides access to the underlying C GtkObject.
| RecentChooserDialog (const Glib::ustring& title, const Glib::RefPtr<RecentManager>& recent_manager)
| RecentChooserDialog (Gtk::Window& parent, const Glib::ustring& title, const Glib::RefPtr<RecentManager>& recent_manager)
| RecentChooserDialog (const Glib::ustring& title)
| RecentChooserDialog (Gtk::Window& parent, const Glib::ustring& title)
virtual | ~RecentChooserDialog ()

## Related Functions

(Note that these are not member functions.)
Gtk::RecentChooserDialog* | wrap (GtkRecentChooserDialog* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::RecentChooserDialog::~RecentChooserDialog | ( |  | ) | `[virtual]`

Gtk::RecentChooserDialog::RecentChooserDialog | ( | Gtk::Window& | parent,
|  | const Glib::ustring& | title
| ) | `[explicit]`

Gtk::RecentChooserDialog::RecentChooserDialog | ( | const Glib::ustring& | title | ) | `[explicit]`

Gtk::RecentChooserDialog::RecentChooserDialog | ( | Gtk::Window& | parent,
|  | const Glib::ustring& | title,
|  | const Glib::RefPtr<RecentManager>& | recent_manager
| ) | `[explicit]`

Gtk::RecentChooserDialog::RecentChooserDialog | ( | const Glib::ustring& | title,
|  | const Glib::RefPtr<RecentManager>& | recent_manager
| ) | `[explicit]`

## Member Function Documentation

const GtkRecentChooserDialog* Gtk::RecentChooserDialog::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Dialog.

GtkRecentChooserDialog* Gtk::RecentChooserDialog::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Dialog.

## Friends And Related Function Documentation

Gtk::RecentChooserDialog* wrap | ( | GtkRecentChooserDialog* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- recentchooserdialog.h